# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu May 19 06:51:07 2022
# ------------------------------------------------

package:
  name: libhdfs3
  version: 2.3.0
source:
  git_rev: dc504af4a2445e9db836d3af9781ccc76c3856f2
  git_url: https://github.com/ContinuumIO/libhdfs3-downstream.git
  patches:
    - 84ebda7d.patch
    - CMakeLists.txt.diff
    - cmake-minimum-req-version.patch
    - missing-namespace-string-npos.patch
build:
  ignore_run_exports:
    - libntlm
  number: '3'
  run_exports:
    - libhdfs3 >=2.3.0,<3.0a0
  string: h1a0844a_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.4.26 h06a4308_0
    - cmake 3.22.1 h1fce559_0
    - curl 7.82.0 h7f8727e_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gettext 0.21.0 hf68c758_0
    - git 2.34.1 pl5262hc120c5b_0
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - icu 58.2 he6710b0_3
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.82.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 11.2.0 h1234567_0
    - libgomp 11.2.0 h1234567_0
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 11.2.0 h1234567_0
    - libuv 1.40.0 h7b6447c_0
    - libxml2 2.9.12 h74e7548_2
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1o h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - pcre2 10.37 he7ceb23_1
    - perl 5.26.2 h14c3975_0
    - rhash 1.4.1 h3c74f83_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.11 h1ccaba5_1
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.4.26 h06a4308_0
    - icu 58.2 he6710b0_3
    - krb5 1.16.4 h173b8e3_0
    - libboost 1.73.0 h3ff78a5_11
    - libcurl 7.67.0 h20c2e04_0
    - libedit 3.1.20210910 h7f8727e_0
    - libgcc-ng 11.2.0 h1234567_0
    - libgcrypt 1.9.3 h27cfd23_0
    - libgomp 11.2.0 h1234567_0
    - libgpg-error 1.42 h2531618_0
    - libgsasl 1.8.0 h7b6447c_3
    - libntlm 1.6 h7f8727e_0
    - libprotobuf 3.20.1 h4ff587b_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-ng 11.2.0 h1234567_0
    - libuuid 1.0.3 h7f8727e_2
    - libxml2 2.9.12 h74e7548_2
    - lz4-c 1.9.3 h295c915_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1o h7f8727e_0
    - tk 8.6.11 h1ccaba5_1
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.4.9 haebb681_0
  run:
    - krb5 >=1.16.4,<1.17.0a0
    - libboost >=1.73.0,<1.73.1.0a0
    - libcurl >=7.67.0,<8.0a0
    - libgcc-ng >=7.5.0
    - libgsasl >=1.8.0,<2.0a0
    - libprotobuf >=3.20.1,<3.21.0a0
    - libstdcxx-ng >=7.5.0
    - libuuid >=1.0.3,<2.0a0
    - libxml2 >=2.9.12,<2.10.0a0
    - openssl >=1.1.1o,<1.1.2a
test:
  commands:
    - test -f $PREFIX/lib/libhdfs3.so
    - conda inspect linkages -p $PREFIX libhdfs3
about:
  dev_url: https://github.com/ContinuumIO/libhdfs3-downstream
  doc_url: https://github.com/ContinuumIO/libhdfs3-downstream/blob/master/libhdfs3/README.md
  home: https://github.com/ContinuumIO/libhdfs3-downstream
  license: Apache-2.0
  license_family: Apache
  summary: A Native C/C++ HDFS Client
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: ae0a50d6-232b-49a1-8c96-b8ac01397537
  recipe-maintainers:
    - koverholt
    - martindurant
    - mrocklin
  remote_url: git@github.com:AnacondaRecipes/libhdfs3-feedstock.git
  sha: 57a31c050c341026c59ecc7dc8ea3e13c16c3172
